[data-swatch]::before {
  background-color: rgba(var(--text-color) / 0.08);
}

[data-swatch="black"]:before { background-color:#000000}[data-swatch="green"]:before { background-color:#677539}[data-swatch="beige"]:before { background-color:#decf8a}[data-swatch="brown"]:before { background-color:#b48d6a}[data-swatch="grey"]:before { background-color:#828282}

